# SubAddHostEvent (SubServers.Sync)

net.ME1312.SubServers.Sync.Event

## Class SubAddHostEvent

- java.lang.Object
- - net.md_5.bungee.api.plugin.Event
  - - net.ME1312.SubServers.Sync.Event.SubAddHostEvent

All Implemented Interfaces:
  SubEvent

    public class SubAddHostEvent
    extends net.md_5.bungee.api.plugin.Event
    implements SubEvent

Add Server Event

### Constructor Summary

Constructors
Constructor and Description
`SubAddHostEvent(java.util.UUID player, java.lang.String host)` Server Add Event

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getHost()` Gets the Host to be Added
`java.util.UUID` `getPlayer()` Gets the player that triggered the Event

### Methods inherited from class net.md_5.bungee.api.plugin.Event

`postCall`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SubAddHostEvent

    public SubAddHostEvent(java.util.UUID player,
                           java.lang.String host)

Server Add Event

Parameters:
  `player` - Player Adding Server
  `host` - Host to be added

### Method Detail

#### getHost

    public java.lang.String getHost()

Gets the Host to be Added

Returns:
  The Host to be Added

#### getPlayer

    public java.util.UUID getPlayer()

Gets the player that triggered the Event

Returns:
  The Player that triggered this Event or null if Console